View Issue Details

IDProjectCategoryView StatusLast Update
0001072NoesisGUIUnity3Dpublic2019-08-22 08:53
ReportermonsterchoAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.1f1 
Target VersionFixed in Version2.2.4 
Summary0001072: Fast touch swipe on ScrollViewer scrolls even after hitting edge if you try to set scroll offset from code after swipe
DescriptionIf I do a fast swipe over a scrollviewer to get high inertia it will quickly scroll to start or end of its content as expected.
But if very soon after that (1-2s) I try to scroll content from code with:
- scroll.ScrollToHorizontalOffset (...)
- child.BringIntoView()
Then I see the scrollviewer again scrolling content instead of going to the offset I give (or bringing into view the child).

Tested with horizontal scrollviewers. Have not tried vertical.
Steps To Reproduce1) Open the attached project.
2) Build and run on Android or iOS
3) Fast swipe left on the numbers - the swipe should lead to high inertia scroll
4) When content is scrolled to end (number 29) start repeatedly touching the button below the numbers
5) Bug - content starts scrolling again instead of going to offset 0.

Also see the wrong behavior in the the attached short video.
Additional InformationIt can also be reproduced on PC if I manually feed Unity input events to Noesis so the mouse can be used to swipe over the scrollviewer (using scrollbar gives no inertia).
TagsNo tags attached.
PlatformAny

Relationships

related to 0000866 resolvedjsantos Scrolling doesn't stop if parent control is hidden 

Activities

monstercho

monstercho

2017-05-06 10:58

reporter  

NoesisScrollViewerTest 20170506.mp4 (1,803,323 bytes)

Issue History

Date Modified Username Field Change
2017-05-06 10:58 monstercho New Issue
2017-05-06 10:58 monstercho File Added: NoesisScrollViewerTest 20170506.mp4
2017-05-09 04:39 jsantos Assigned To => jsantos
2017-05-09 04:39 jsantos Status new => assigned
2018-11-01 02:14 jsantos View Status public => private
2019-08-14 09:56 jsantos Relationship added related to 0000866
2019-08-17 00:26 jsantos View Status private => public
2019-08-17 00:26 jsantos Platform => Any
2019-08-22 08:53 jsantos Status assigned => resolved
2019-08-22 08:53 jsantos Resolution open => fixed
2019-08-22 08:53 jsantos Fixed in Version => 2.2.4